# Class DefaultRequestHelper

Default implementation of utilities/RequestHelper!RequestHelper.

#### Implements

- RequestHelper

#####
Index

### Constructors

constructor

### Methods

createSocket
request

##
Constructors

### constructor

- new DefaultRequestHelper(): DefaultRequestHelper

- #### Returns DefaultRequestHelper

##
Methods

### createSocket

- createSocket(url): WebSocket

- Creates and returns a WebSocket object.

  #### Parameters

  - url: string

    The web socket URL.

  #### Returns WebSocket

  Implementation of RequestHelper.createSocket

### request

- request(url, options?): Promise<Response>

- Makes a request to a url and returns a response.

  #### Parameters

  - url: string

    The URL at which to send the request.

  - `Optional` options: RequestInit

    The options for the request.

  #### Returns Promise<Response>

  Implementation of RequestHelper.request